## node-postgres 8.13.1+~cs35.16.31

=== Makefile ===
all: test/binary.csv test/decimal.csv

test/binary.csv: test/binary.in test/binary.py
	test/binary.py $< > $@

test/decimal.csv: test/decimal.in test/decimal.py
	test/decimal.py $< > $@

.PHONY: all

=== packages/pg/Makefile ===
SHELL := /bin/sh

connectionString=postgres://

params := $(connectionString)

node-command := xargs -n 1 -I file node file $(params)

.PHONY : test test-connection test-integration bench test-native \
	 publish update-npm

all:
	npm install

help:
	@echo "make test-all [connectionString=postgres://<your connection string>]"

test: test-unit

test-all: test-unit test-integration test-native test-worker


update-npm:
	@npm i npm --global

bench:
	@find benchmark -name "*-bench.js" | $(node-command)

test-unit:
	@find test/unit -name "*-tests.js" | $(node-command)

test-connection:
	@echo "***Testing connection***"
	@node script/create-test-tables.js $(params)

test-native: test-connection
	@echo "***Testing native bindings***"
ifeq ($(TEST_SKIP_NATIVE), true)
	@echo "***Skipping tests***"
else
	@find test/native -name "*-tests.js" | $(node-command)
	@find test/integration -name "*-tests.js" | $(node-command) native
endif

test-integration: test-connection
	@echo "***Testing Pure Javascript***"
	@find test/integration -name "*-tests.js" | $(node-command)

test-binary: test-connection
	@echo "***Testing Pure Javascript (binary)***"
	@find test/integration -name "*-tests.js" | $(node-command) binary

test-pool:
	@find test/integration/connection-pool -name "*.js" | $(node-command) binary

test-worker:
	@echo "***Testing Cloudflare Worker support***"
	@node test/worker/src/index.test.js

=== debian/changelog ===
node-postgres (8.13.1+~cs35.16.31-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1+~cs35.16.31 (update typescript definitions)

 -- Yadd <yadd@debian.org>  Sun, 26 Jan 2025 19:15:30 +0100

=== debian/control ===
Source: node-postgres
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-async <!nocheck>
 , node-generic-pool <!nocheck>
 , node-libpq <!nocheck>
 , node-semver <!nocheck>
 , node-split2 <!nocheck>
 , node-tap <!nocheck>
 , node-tape <!nocheck>
 , node-typescript
 , node-xtend <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
Homepage: https://github.com/brianc/node-postgres
Rules-Requires-Root: no

Package: node-pg
Architecture: all
Depends: ${misc:Depends}
 , node-async
 , node-libpq
 , node-readable-stream
 , node-split2
 , node-xtend
Suggests: postgresql
Provides: ${nodejs:Provides}
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.

## node-postgres 8.14.1%2B~cs35.17.33

=== debian/changelog ===
node-postgres (8.14.1+~cs35.17.33-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 8.14.1+~cs35.17.33
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Wed, 09 Apr 2025 16:43:08 +0200

## node-postgres 8.14.1+~cs35.17.33

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  , node-tape <!nocheck>
  , node-typescript
  , node-xtend <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
 Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
 Homepage: https://github.com/brianc/node-postgres

## node-postgres 8.16.3%2B~cs35.24.27

=== debian/watch ===
version=4
opts="filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-postgres-$1/" \
https://github.com/brianc/node-postgres/tags .*/archive/.*/pg\@(\d[\d\.]+)\.tar\.gz group

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=buffer-writer" \
 https://registry.npmjs.org/buffer-writer https://registry.npmjs.org/buffer-writer/-/buffer-writer-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=packet-reader" \
 https://registry.npmjs.org/packet-reader https://registry.npmjs.org/packet-reader/-/packet-reader-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-types" \
 https://registry.npmjs.org/pg-types https://registry.npmjs.org/pg-types/-/pg-types-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pgpass" \
 https://registry.npmjs.org/pgpass https://registry.npmjs.org/pgpass/-/pgpass-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-int8" \
 https://registry.npmjs.org/pg-int8 https://registry.npmjs.org/pg-int8/-/pg-int8-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=pg-native,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-pg-native-$1/" \
 https://registry.npmjs.org/pg-native https://registry.npmjs.org/pg-native/-/pg-native-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-array" \
 https://registry.npmjs.org/postgres-array https://registry.npmjs.org/postgres-array/-/postgres-array-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-bytea" \
 https://registry.npmjs.org/postgres-bytea https://registry.npmjs.org/postgres-bytea/-/postgres-bytea-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-date" \
 https://registry.npmjs.org/postgres-date https://registry.npmjs.org/postgres-date/-/postgres-date-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-interval" \
 https://registry.npmjs.org/postgres-interval https://registry.npmjs.org/postgres-interval/-/postgres-interval-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts=\
ctype=nodejs,\
component=pg-numeric,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-pg-numeric-$1/ \
 https://github.com/charmander/pg-numeric/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts="searchmode=plain,component=types-pg,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-pg-$1/" \
 https://registry.npmjs.org/@types/pg https://registry.npmjs.org/@types/pg/-/pg-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=obuf,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-offset-buffer-$1/ \
 https://github.com/indutny/offset-buffer/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\

## node-postgres 8.16.3+~cs35.24.27

=== packages/pg/Makefile ===
--- 
+++ 
@@ -54,5 +54,11 @@
 	@find test/integration/connection-pool -name "*.js" | $(node-command) binary
 
 test-worker:
-	@echo "***Testing Cloudflare Worker support***"
-	@node test/worker/src/index.test.js
+  # this command only runs in node 18.x and above since there are 
+	# worker specific items missing from the node environment in lower versions
+	@if [[ $(shell node --version | sed 's/v//' | cut -d'.' -f1) -ge 18 ]]; then \
+		echo "***Testing Cloudflare Worker support***"; \
+		yarn vitest run -c test/vitest.config.mts test/cloudflare/ --no-watch -- $(params); \
+	else \
+		echo "Skipping test-worker: Node.js version is less than 18."; \
+	fi

=== debian/changelog ===
node-postgres (8.16.3+~cs35.24.27-4) unstable; urgency=medium

  * Team upload
  * Drop old stale debian/copyright_hints
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Feb 2026 17:33:03 +0100

node-postgres (8.16.3+~cs35.24.27-3) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * Drop useless debian/control.in (Closes: #1114017)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Sep 2025 23:53:38 +0200

node-postgres (8.16.3+~cs35.24.27-2) unstable; urgency=medium

  * Fix "nocheck" build
  * Don't install test-only components
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Sun, 10 Aug 2025 21:05:51 +0200

node-postgres (8.16.3+~cs35.24.27-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * Drop d/README.source, contains outdated info

  [ Yadd ]
  * New upstream version
  * Unfuzz patches
  * Add tsc patch

 -- Yadd <yadd@debian.org>  Sun, 10 Aug 2025 18:43:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
-Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
- , chai <!nocheck>
- , mocha <!nocheck>
+ , chai
+ , mocha
  , node-async <!nocheck>
  , node-generic-pool <!nocheck>
  , node-libpq <!nocheck>
@@ -17,11 +16,10 @@
  , node-tape <!nocheck>
  , node-typescript
  , node-xtend <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
 Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
 Homepage: https://github.com/brianc/node-postgres
-Rules-Requires-Root: no
 
 Package: node-pg
 Architecture: all
